Ruby: log Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
log Struct Reference

## Data Fields
char | id [4]
int | fd
char * | path
char * | end
off_t | first
int | back
uint | stored
off_t | last
ulong | ccrc
ulong | clen
ulong | tcrc
ulong | tlen
time_t | lock

## Detailed Description

Definition at line 289 of file gzlog.c.

## Field Documentation

## ◆ back

int log::back

Definition at line 295 of file gzlog.c.

Referenced by log_compress(), log_head(), log_last(), and log_mark().

## ◆ ccrc

ulong log::ccrc

Definition at line 298 of file gzlog.c.

Referenced by log_compress(), log_head(), and log_mark().

## ◆ clen

ulong log::clen

Definition at line 299 of file gzlog.c.

Referenced by log_compress(), log_head(), and log_mark().

## ◆ end

char* log::end

Definition at line 293 of file gzlog.c.

Referenced by gzlog_compress(), gzlog_open(), gzlog_write(), log_append(), log_check(), log_compress(), log_lock(), log_log(), log_open(), log_recover(), log_replace(), log_touch(), and log_unlock().

## ◆ fd

int log::fd

Definition at line 291 of file gzlog.c.

Referenced by gzlog_compress(), gzlog_open(), gzlog_write(), log_append(), log_close(), log_compress(), log_head(), log_last(), log_mark(), and log_open().

## ◆ first

off_t log::first

Definition at line 294 of file gzlog.c.

Referenced by gzlog_compress(), gzlog_write(), log_compress(), log_head(), log_last(), and log_mark().

## ◆ id

char log::id[4]

Definition at line 290 of file gzlog.c.

Referenced by gzlog_close(), gzlog_compress(), gzlog_open(), and gzlog_write().

## ◆ last

off_t log::last

Definition at line 297 of file gzlog.c.

Referenced by gzlog_compress(), gzlog_write(), log_append(), log_compress(), log_head(), log_last(), and log_mark().

## ◆ lock

time_t log::lock

Definition at line 302 of file gzlog.c.

Referenced by log_check(), log_lock(), log_touch(), and log_unlock().

## ◆ path

char* log::path

Definition at line 292 of file gzlog.c.

Referenced by gzlog_close(), gzlog_compress(), gzlog_open(), gzlog_write(), log_append(), log_check(), log_compress(), log_lock(), log_log(), log_open(), log_recover(), log_replace(), log_touch(), and log_unlock().

## ◆ stored

uint log::stored

Definition at line 296 of file gzlog.c.

Referenced by gzlog_compress(), gzlog_write(), log_append(), log_compress(), log_head(), log_last(), and log_mark().

## ◆ tcrc

ulong log::tcrc

Definition at line 300 of file gzlog.c.

Referenced by log_append(), log_compress(), log_head(), and log_mark().

## ◆ tlen

ulong log::tlen

Definition at line 301 of file gzlog.c.

Referenced by log_append(), log_compress(), log_head(), and log_mark().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/examples/gzlog.c